Rated 5 out of 5 stars

Big thanks to Anthony below for his hack. I actually managed to get it to work immediately after upgrade from 2.0.0.14 to 3.0b5 with an additional adjustment:
In extensions.rdf, find the del.icio.us section and remove NS1:appDisabled="true".

This also needs Anthony's fix of adjusting maxVersion in extensions/{xxxx...}/install.rdf and switching 2.0.0.* to 3.0.* -- Works great in Ubuntu Hardy.